# Supply

## Adjusted Supply

> The circulating supply adjusted by accounting for lost coins. The amount of lost coins is estimated by all those that have not moved in over 7 years.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.CurrentAdjusted?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/current_adjusted":{"get":{"summary":"Adjusted Supply","description":"The circulating supply adjusted by accounting for lost coins. The amount of lost coins is estimated by all those that have not moved in over 7 years.\n\n[View in Studio](https://studio.glassnode.com/charts/supply.CurrentAdjusted?a=BTC)\n","operationId":"supply.CurrentAdjusted","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Asia Year-over-Year Supply Change

> \nThis metric aims at giving an estimate for the year-over-year change in the share of the Bitcoin supply to be held/traded in Asia.\n\nGeolocation of Bitcoin supply is performed probabilistically at the entity level. The timestamps of all transactions created by an entity are correlated with the working hours of different geographical regions to determine the probabilities for each entity being located in the US, Europe, or Asia. Working hours are defined as:\n\n\* US: 8am to 8pm Eastern Time (13:00-01:00 UTC)\n\* EU: 8am to 8pm Central European Time (07:00-19:00 UTC)\n\* Asia: 8am to 8pm China Standard Time (00:00-12:00 UTC)\n\nAn entity\&#x27;s balance will only contribute to the supply in the respective region if the location can be determined with a high certainty. Supply held on exchanges wallets are excluded.\n      \
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.Apac1YSupplyChange?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/apac_1y_supply_change":{"get":{"summary":"Asia Year-over-Year Supply Change","description":"\\nThis metric aims at giving an estimate for the year-over-year change in the share of the Bitcoin supply to be held/traded in Asia.\\n\\nGeolocation of Bitcoin supply is performed probabilistically at the entity level. The timestamps of all transactions created by an entity are correlated with the working hours of different geographical regions to determine the probabilities for each entity being located in the US, Europe, or Asia. Working hours are defined as:\\n\\n* US: 8am to 8pm Eastern Time (13:00-01:00 UTC)\\n* EU: 8am to 8pm Central European Time (07:00-19:00 UTC)\\n* Asia: 8am to 8pm China Standard Time (00:00-12:00 UTC)\\n\\nAn entity&#x27;s balance will only contribute to the supply in the respective region if the location can be determined with a high certainty. Supply held on exchanges wallets are excluded.\\n      \n\n[View in Studio](https://studio.glassnode.com/charts/supply.Apac1YSupplyChange?a=BTC)\n","operationId":"supply.Apac1YSupplyChange","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Burn Rate (Base Fee)

> This metric represents the ongoing pace at which ETH is being burned, following the introduction of the London Hard Fork and the implementation of EIP-1559. The Ethereum Improvement Proposal (EIP-1559) established a base fee for each transaction, which is subsequently incinerated, reducing the overall ETH supply. By tracking the ETH burn rate, users can gain insights into the deflationary pressure on Ethereum and its potential impact on the network\&#x27;s long-term economic dynamics.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.BurnRate?a=ETH>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/burn_rate":{"get":{"summary":"Burn Rate (Base Fee)","description":"This metric represents the ongoing pace at which ETH is being burned, following the introduction of the London Hard Fork and the implementation of EIP-1559. The Ethereum Improvement Proposal (EIP-1559) established a base fee for each transaction, which is subsequently incinerated, reducing the overall ETH supply. By tracking the ETH burn rate, users can gain insights into the deflationary pressure on Ethereum and its potential impact on the network&#x27;s long-term economic dynamics.\n\n[View in Studio](https://studio.glassnode.com/charts/supply.BurnRate?a=ETH)\n","operationId":"supply.BurnRate","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 1month, 1w, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Burned Supply

> This metric represents the cumulative sum of ETH incinerated since the implementation of the London Hard Fork, which introduced EIP-1559. The Ethereum Improvement Proposal (EIP-1559) established a base fee for transactions, which is burned to reduce the overall ETH supply. As a result, this metric indicates the deflationary pressure on Ethereum.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.Burned?a=ETH>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/burned":{"get":{"summary":"Burned Supply","description":"This metric represents the cumulative sum of ETH incinerated since the implementation of the London Hard Fork, which introduced EIP-1559. The Ethereum Improvement Proposal (EIP-1559) established a base fee for transactions, which is burned to reduce the overall ETH supply. As a result, this metric indicates the deflationary pressure on Ethereum.\n\n[View in Studio](https://studio.glassnode.com/charts/supply.Burned?a=ETH)\n","operationId":"supply.Burned","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 1month, 1w, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Circulating Supply

> The total amount of all coins ever created/issued, i.e. the circulating supply.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.Current?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/current":{"get":{"summary":"Circulating Supply","description":"The total amount of all coins ever created/issued, i.e. the circulating supply.\n\n[View in Studio](https://studio.glassnode.com/charts/supply.Current?a=BTC)\n","operationId":"supply.Current","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 1month, 1w, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## EU Year-over-Year Supply Change

> \nThis metric aims at giving an estimate for the year-over-year change in the share of the Bitcoin supply to be held/traded in Europe.\n\nGeolocation of Bitcoin supply is performed probabilistically at the entity level. The timestamps of all transactions created by an entity are correlated with the working hours of different geographical regions to determine the probabilities for each entity being located in the US, Europe, or Asia. Working hours are defined as:\n\n\* US: 8am to 8pm Eastern Time (13:00-01:00 UTC)\n\* EU: 8am to 8pm Central European Time (07:00-19:00 UTC)\n\* Asia: 8am to 8pm China Standard Time (00:00-12:00 UTC)\n\nAn entity\&#x27;s balance will only contribute to the supply in the respective region if the location can be determined with a high certainty. Supply held on exchanges wallets are excluded.\n      \
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.Emea1YSupplyChange?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/emea_1y_supply_change":{"get":{"summary":"EU Year-over-Year Supply Change","description":"\\nThis metric aims at giving an estimate for the year-over-year change in the share of the Bitcoin supply to be held/traded in Europe.\\n\\nGeolocation of Bitcoin supply is performed probabilistically at the entity level. The timestamps of all transactions created by an entity are correlated with the working hours of different geographical regions to determine the probabilities for each entity being located in the US, Europe, or Asia. Working hours are defined as:\\n\\n* US: 8am to 8pm Eastern Time (13:00-01:00 UTC)\\n* EU: 8am to 8pm Central European Time (07:00-19:00 UTC)\\n* Asia: 8am to 8pm China Standard Time (00:00-12:00 UTC)\\n\\nAn entity&#x27;s balance will only contribute to the supply in the respective region if the location can be determined with a high certainty. Supply held on exchanges wallets are excluded.\\n      \n\n[View in Studio](https://studio.glassnode.com/charts/supply.Emea1YSupplyChange?a=BTC)\n","operationId":"supply.Emea1YSupplyChange","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Highly Liquid Supply

> The total supply held by \\"highly liquid\\" entities. The liquidity of an entity is defined as the ratio of cumulative outflows and cumulative inflows over the entity\&#x27;s lifespan. An entity is considered to be illiquid / liquid / highly liquid if its liquidity \*L\* is ≲ 0.25 / 0.25 ≲ \*L\* ≲ 0.75 / 0.75 ≲ L, respectively. For more information see our \[introductory article on Bitcoin liquidity]\(<https://insights.glassnode.com/bitcoin-liquid-supply).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.HighlyLiquidSum?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/highly_liquid_sum":{"get":{"summary":"Highly Liquid Supply","description":"The total supply held by \\\"highly liquid\\\" entities. The liquidity of an entity is defined as the ratio of cumulative outflows and cumulative inflows over the entity&#x27;s lifespan. An entity is considered to be illiquid / liquid / highly liquid if its liquidity *L* is ≲ 0.25 / 0.25 ≲ *L* ≲ 0.75 / 0.75 ≲ L, respectively. For more information see our [introductory article on Bitcoin liquidity](https://insights.glassnode.com/bitcoin-liquid-supply).\n\n[View in Studio](https://studio.glassnode.com/charts/supply.HighlyLiquidSum?a=BTC)\n","operationId":"supply.HighlyLiquidSum","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## HODL Waves

> Bundle of all active supply age bands, aka HODL waves. Each colored band shows the percentage of  in existence that was last moved within the time period denoted in the legend. The concept of HODL waves was first described in \[this post]\(<https://www.unchained-capital.com/blog/hodl-waves-1/>) by \[Unchained Capital]\(<https://twitter.com/unchainedcap).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.HodlWaves?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/hodl_waves":{"get":{"summary":"HODL Waves","description":"Bundle of all active supply age bands, aka HODL waves. Each colored band shows the percentage of  in existence that was last moved within the time period denoted in the legend. The concept of HODL waves was first described in [this post](https://www.unchained-capital.com/blog/hodl-waves-1/) by [Unchained Capital](https://twitter.com/unchainedcap).\n\n[View in Studio](https://studio.glassnode.com/charts/supply.HodlWaves?a=BTC)\n","operationId":"supply.HodlWaves","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Illiquid Supply

> The total supply held by illiquid entities. The liquidity of an entity is defined as the ratio of cumulative outflows and cumulative inflows over the entity\&#x27;s lifespan. An entity is considered to be illiquid / liquid / highly liquid if its liquidity \*L\* is ≲ 0.25 / 0.25 ≲ \*L\* ≲ 0.75 / 0.75 ≲ L, respectively. For more information see our \[introductory article on Bitcoin liquidity]\(<https://insights.glassnode.com/bitcoin-liquid-supply).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.IlliquidSum?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/illiquid_sum":{"get":{"summary":"Illiquid Supply","description":"The total supply held by illiquid entities. The liquidity of an entity is defined as the ratio of cumulative outflows and cumulative inflows over the entity&#x27;s lifespan. An entity is considered to be illiquid / liquid / highly liquid if its liquidity *L* is ≲ 0.25 / 0.25 ≲ *L* ≲ 0.75 / 0.75 ≲ L, respectively. For more information see our [introductory article on Bitcoin liquidity](https://insights.glassnode.com/bitcoin-liquid-supply).\n\n[View in Studio](https://studio.glassnode.com/charts/supply.IlliquidSum?a=BTC)\n","operationId":"supply.IlliquidSum","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Illiquid Supply Change

> The monthly (30d) net change of supply held by illiquid entities. For more information see our \[introductory article on Bitcoin liquidity]\(<http://insights.glassnode.com/bitcoin-liquid-supply).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.IlliquidChange?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/illiquid_change":{"get":{"summary":"Illiquid Supply Change","description":"The monthly (30d) net change of supply held by illiquid entities. For more information see our [introductory article on Bitcoin liquidity](http://insights.glassnode.com/bitcoin-liquid-supply).\n\n[View in Studio](https://studio.glassnode.com/charts/supply.IlliquidChange?a=BTC)\n","operationId":"supply.IlliquidChange","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Inflation Rate

> The percentage of new coins issued, divided by the current supply.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.InflationRate?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/inflation_rate":{"get":{"summary":"Inflation Rate","description":"The percentage of new coins issued, divided by the current supply.\n\n[View in Studio](https://studio.glassnode.com/charts/supply.InflationRate?a=BTC)\n","operationId":"supply.InflationRate","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Issuance

> The total amount of new coins added to the current supply, i.e. minted coins or new coins released to the network.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.Issued?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/issued":{"get":{"summary":"Issuance","description":"The total amount of new coins added to the current supply, i.e. minted coins or new coins released to the network.\n\n[View in Studio](https://studio.glassnode.com/charts/supply.Issued?a=BTC)\n","operationId":"supply.Issued","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Liquid and Illiquid Supply

> The total supply held by illiquid, liquid, and highly liquid entities. The liquidity of an entity is defined as the ratio of cumulative outflows and cumulative inflows over the entity\&#x27;s lifespan. An entity is considered to be illiquid / liquid / highly liquid if its liquidity \*L\* is ≲ 0.25 / 0.25 ≲ \*L\* ≲ 0.75 / 0.75 ≲ L, respectively. For more information see our \[introductory article on Bitcoin liquidity]\(<http://insights.glassnode.com/bitcoin-liquid-supply).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.LiquidIlliquidSum?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/liquid_illiquid_sum":{"get":{"summary":"Liquid and Illiquid Supply","description":"The total supply held by illiquid, liquid, and highly liquid entities. The liquidity of an entity is defined as the ratio of cumulative outflows and cumulative inflows over the entity&#x27;s lifespan. An entity is considered to be illiquid / liquid / highly liquid if its liquidity *L* is ≲ 0.25 / 0.25 ≲ *L* ≲ 0.75 / 0.75 ≲ L, respectively. For more information see our [introductory article on Bitcoin liquidity](http://insights.glassnode.com/bitcoin-liquid-supply).\n\n[View in Studio](https://studio.glassnode.com/charts/supply.LiquidIlliquidSum?a=BTC)\n","operationId":"supply.LiquidIlliquidSum","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Liquid Supply

> The total supply held by \\"liquid\\" entities. The liquidity of an entity is defined as the ratio of cumulative outflows and cumulative inflows over the entity\&#x27;s lifespan. An entity is considered to be illiquid / liquid / highly liquid if its liquidity \*L\* is ≲ 0.25 / 0.25 ≲ \*L\* ≲ 0.75 / 0.75 ≲ L, respectively. For more information see our \[introductory article on Bitcoin liquidity]\(<https://insights.glassnode.com/bitcoin-liquid-supply).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.LiquidSum?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/liquid_sum":{"get":{"summary":"Liquid Supply","description":"The total supply held by \\\"liquid\\\" entities. The liquidity of an entity is defined as the ratio of cumulative outflows and cumulative inflows over the entity&#x27;s lifespan. An entity is considered to be illiquid / liquid / highly liquid if its liquidity *L* is ≲ 0.25 / 0.25 ≲ *L* ≲ 0.75 / 0.75 ≲ L, respectively. For more information see our [introductory article on Bitcoin liquidity](https://insights.glassnode.com/bitcoin-liquid-supply).\n\n[View in Studio](https://studio.glassnode.com/charts/supply.LiquidSum?a=BTC)\n","operationId":"supply.LiquidSum","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Liquid Supply Change

> The monthly (30d) net change of supply held by liquid and highly liquid entities. For more information see our \[introductory article on Bitcoin liquidity]\(<http://insights.glassnode.com/bitcoin-liquid-supply).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.LiquidChange?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/liquid_change":{"get":{"summary":"Liquid Supply Change","description":"The monthly (30d) net change of supply held by liquid and highly liquid entities. For more information see our [introductory article on Bitcoin liquidity](http://insights.glassnode.com/bitcoin-liquid-supply).\n\n[View in Studio](https://studio.glassnode.com/charts/supply.LiquidChange?a=BTC)\n","operationId":"supply.LiquidChange","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Long-Term Holder Position Change

> The monthly net position change of long term holders, i.e. the 30 day change in supply held by long term holders. Long- and Short-Term Holder supply is defined with respect to the \[entity\&#x27;s averaged purchasing date]\(<https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/>) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.LthNetChange?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/lth_net_change":{"get":{"summary":"Long-Term Holder Position Change","description":"The monthly net position change of long term holders, i.e. the 30 day change in supply held by long term holders. Long- and Short-Term Holder supply is defined with respect to the [entity&#x27;s averaged purchasing date](https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\n\n[View in Studio](https://studio.glassnode.com/charts/supply.LthNetChange?a=BTC)\n","operationId":"supply.LthNetChange","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Long-Term Holder Supply

> The total amount of circulating supply held by long term holders. Long- and Short-Term Holder supply is defined with respect to the \[entity\&#x27;s averaged purchasing date]\(<https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/>) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.LthSum?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/lth_sum":{"get":{"summary":"Long-Term Holder Supply","description":"The total amount of circulating supply held by long term holders. Long- and Short-Term Holder supply is defined with respect to the [entity&#x27;s averaged purchasing date](https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\n\n[View in Studio](https://studio.glassnode.com/charts/supply.LthSum?a=BTC)\n","operationId":"supply.LthSum","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Long-Term Holder Supply in Loss

> The total amount of circulating supply that is currently at loss and held by long term holders. Long- and Short-Term Holder supply is defined with respect to the \[entity\&#x27;s averaged purchasing date]\(<https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/>) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.LthLossSum?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/lth_loss_sum":{"get":{"summary":"Long-Term Holder Supply in Loss","description":"The total amount of circulating supply that is currently at loss and held by long term holders. Long- and Short-Term Holder supply is defined with respect to the [entity&#x27;s averaged purchasing date](https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\n\n[View in Studio](https://studio.glassnode.com/charts/supply.LthLossSum?a=BTC)\n","operationId":"supply.LthLossSum","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Long-Term Holder Supply in Profit

> The total amount of circulating supply that is currently in profit and held by long term holders. Long- and Short-Term Holder supply is defined with respect to the \[entity\&#x27;s averaged purchasing date]\(<https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/>) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.LthProfitSum?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/lth_profit_sum":{"get":{"summary":"Long-Term Holder Supply in Profit","description":"The total amount of circulating supply that is currently in profit and held by long term holders. Long- and Short-Term Holder supply is defined with respect to the [entity&#x27;s averaged purchasing date](https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\n\n[View in Studio](https://studio.glassnode.com/charts/supply.LthProfitSum?a=BTC)\n","operationId":"supply.LthProfitSum","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Minted Supply

> The total amount of issued ETH.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.Minted?a=ETH>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/minted":{"get":{"summary":"Minted Supply","description":"The total amount of issued ETH.\n\n[View in Studio](https://studio.glassnode.com/charts/supply.Minted?a=ETH)\n","operationId":"supply.Minted","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 1month, 1w, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## MoM Activity Retention Supply

> This metric shows the supply held by addresses that interact with the asset, segmented into \\"retention cohorts\\". The cohorts are defined as follows:\n \* \&#x60;New\&#x60;: Addresses that interacted with the asset for the first time during the last 30 days.\n \* \&#x60;Retained (Increase)\&#x60;: Addresses that were active in both the previous and current 30d period, and increased their activity.\n \* \&#x60;Retained (Equal)\&#x60;: Addresses that were active in both the previous and current 30d period, with the same activity.\n \* \&#x60;Retained (Decrease)\&#x60;: Addresses that were active in both the previous and current 30d period, and reduced their activity.\n \* \&#x60;Resurrected\&#x60;: Addresses that were active in the current, but inactive in the previous 30d period.\n \* \&#x60;Churned\&#x60;: Addresses that were not active within the last 30 days, but were active in the previous 30d period.\n \* \&#x60;Dead\&#x60;: Addresses that were inactive in the current and previous 30d interval, but were active at some point before.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.ActivityRetention?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/activity_retention":{"get":{"summary":"MoM Activity Retention Supply","description":"This metric shows the supply held by addresses that interact with the asset, segmented into \\\"retention cohorts\\\". The cohorts are defined as follows:\\n * &#x60;New&#x60;: Addresses that interacted with the asset for the first time during the last 30 days.\\n * &#x60;Retained (Increase)&#x60;: Addresses that were active in both the previous and current 30d period, and increased their activity.\\n * &#x60;Retained (Equal)&#x60;: Addresses that were active in both the previous and current 30d period, with the same activity.\\n * &#x60;Retained (Decrease)&#x60;: Addresses that were active in both the previous and current 30d period, and reduced their activity.\\n * &#x60;Resurrected&#x60;: Addresses that were active in the current, but inactive in the previous 30d period.\\n * &#x60;Churned&#x60;: Addresses that were not active within the last 30 days, but were active in the previous 30d period.\\n * &#x60;Dead&#x60;: Addresses that were inactive in the current and previous 30d interval, but were active at some point before.\n\n[View in Studio](https://studio.glassnode.com/charts/supply.ActivityRetention?a=BTC)\n","operationId":"supply.ActivityRetention","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## MoM Holder Retention Supply

> This metric shows the supply held by addresses that hold the selected asset or held it previously, segmented into \\"retention cohorts\\". The cohorts are defined as follows:\n \* \&#x60;New\&#x60;: Addresses that interacted with the asset for the first time during the last 30 days and have a non-zero balance.\n \* \&#x60;Retained (Increase)\&#x60;: Addresses that had a non-zero balance 30d ago and have increased their holdings since then.\n \* \&#x60;Retained (Equal)\&#x60;: Addresses that have the same non-zero balance now compared to 30 days ago.\n \* \&#x60;Retained (Decrease)\&#x60;: Addresses that had a non-zero balance 30d ago and have reduced their holdings since then, but still have a balance greater than zero.\n \* \&#x60;Resurrected\&#x60;: Addresses with a non-zero balance that didn\&#x27;t hold any supply 30 days ago. Note that addresses that appeared for the first time during the last 30 days are not included here and instead captured in the cohort \&#x60;New\&#x60;.\n\nAddresses with a balance below a certain dust threshold are not considered as holders and their balance is not taken into account in the supply shown here.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.HolderRetention?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/holder_retention":{"get":{"summary":"MoM Holder Retention Supply","description":"This metric shows the supply held by addresses that hold the selected asset or held it previously, segmented into \\\"retention cohorts\\\". The cohorts are defined as follows:\\n * &#x60;New&#x60;: Addresses that interacted with the asset for the first time during the last 30 days and have a non-zero balance.\\n * &#x60;Retained (Increase)&#x60;: Addresses that had a non-zero balance 30d ago and have increased their holdings since then.\\n * &#x60;Retained (Equal)&#x60;: Addresses that have the same non-zero balance now compared to 30 days ago.\\n * &#x60;Retained (Decrease)&#x60;: Addresses that had a non-zero balance 30d ago and have reduced their holdings since then, but still have a balance greater than zero.\\n * &#x60;Resurrected&#x60;: Addresses with a non-zero balance that didn&#x27;t hold any supply 30 days ago. Note that addresses that appeared for the first time during the last 30 days are not included here and instead captured in the cohort &#x60;New&#x60;.\\n\\nAddresses with a balance below a certain dust threshold are not considered as holders and their balance is not taken into account in the supply shown here.\n\n[View in Studio](https://studio.glassnode.com/charts/supply.HolderRetention?a=BTC)\n","operationId":"supply.HolderRetention","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Percent Supply in Profit

> The percentage of circulating supply in profit, i.e. the percentage of existing coins whose price at the time they last moved was lower than the current price. For more information see \[this article]\(<https://medium.com/glassnode-insights/dissecting-bitcoins-unrealised-on-chain-profit-loss-73e735020c8d).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.ProfitRelative?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/profit_relative":{"get":{"summary":"Percent Supply in Profit","description":"The percentage of circulating supply in profit, i.e. the percentage of existing coins whose price at the time they last moved was lower than the current price. For more information see [this article](https://medium.com/glassnode-insights/dissecting-bitcoins-unrealised-on-chain-profit-loss-73e735020c8d).\n\n[View in Studio](https://studio.glassnode.com/charts/supply.ProfitRelative?a=BTC)\n","operationId":"supply.ProfitRelative","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Probably Lost Supply

> Probably lost coins refer to so-called \\"zombie coins\\". Zombie coins are coins that have been inactive since the launch of the first BTC exchange in July 2010. Zombie coins are \*probably\* lost, as there is a non-zero probability that they can still be spent. Note that over time the chart steadily decreases as coins from before July 2010 are spent, eventually converging to the real number of lost coins. \\"Patoshi\\" coins are included in this category.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.ProbablyLost?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/probably_lost":{"get":{"summary":"Probably Lost Supply","description":"Probably lost coins refer to so-called \\\"zombie coins\\\". Zombie coins are coins that have been inactive since the launch of the first BTC exchange in July 2010. Zombie coins are *probably* lost, as there is a non-zero probability that they can still be spent. Note that over time the chart steadily decreases as coins from before July 2010 are spent, eventually converging to the real number of lost coins. \\\"Patoshi\\\" coins are included in this category.\n\n[View in Studio](https://studio.glassnode.com/charts/supply.ProbablyLost?a=BTC)\n","operationId":"supply.ProbablyLost","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Provably Lost Supply

> The total amount of BTC that is \*provably\* lost. Provably lost coins fall into one of the following categories:\n\n- Unclaimed miner rewards: The Bitcoin protocol states that the miner of a valid block can add a special transaction to claim a reward plus the transaction fees. Miners are not allowed to claim more than the specified reward, but they are allowed to claim less.\n- BTC sent to burn addresses: We identify a burn address as an address whose private key has provably no owner. We consider addresses which are virtually impossible to be randomly generated, for example:  \&#x27;1Anything11111111111111111125qfuN\&#x27;\n- BTC sent to \&#x27;OP\_RETURN\&#x27;: OP\_RETURN is a script opcode that has been primarily used as a means of storing data on the blockchain. Coins sent to OP\_RETURN opcode are provably unspendable as they do not get added to the UTXO set.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.ProvablyLost?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/provably_lost":{"get":{"summary":"Provably Lost Supply","description":"The total amount of BTC that is *provably* lost. Provably lost coins fall into one of the following categories:\\n\\n- Unclaimed miner rewards: The Bitcoin protocol states that the miner of a valid block can add a special transaction to claim a reward plus the transaction fees. Miners are not allowed to claim more than the specified reward, but they are allowed to claim less.\\n- BTC sent to burn addresses: We identify a burn address as an address whose private key has provably no owner. We consider addresses which are virtually impossible to be randomly generated, for example:  &#x27;1Anything11111111111111111125qfuN&#x27;\\n- BTC sent to &#x27;OP_RETURN&#x27;: OP_RETURN is a script opcode that has been primarily used as a means of storing data on the blockchain. Coins sent to OP_RETURN opcode are provably unspendable as they do not get added to the UTXO set.\n\n[View in Studio](https://studio.glassnode.com/charts/supply.ProvablyLost?a=BTC)\n","operationId":"supply.ProvablyLost","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Realized Cap by Date Bands

> This metric shows a breakdown of the Realized Cap by date bands. Each date band refers to the date when the UTXO was created. The metric is similar to the concept of Realized Cap HODL Waves, however it uses absolute date ranges instead of floating time periods.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/supply.RcapByDateBands?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - supply","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/supply/rcap_by_date_bands":{"get":{"summary":"Realized Cap by Date Bands","description":"This metric shows a breakdown of the Realized Cap by date bands. Each date band refers to the date when the UTXO was created. The metric is similar to the concept of Realized Cap HODL Waves, however it uses absolute date ranges instead of floating time periods.\n\n[View in Studio](https://studio.glassnode.com/charts/supply.RcapByDateBands?a=BTC)\n","operationId":"supply.RcapByDateBands","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format
[...]
